/*
 *
 *                       Serial Port Information Dump Program
 *
 *
 *
 *                                                              Version: 1.00
 *                                                              Date: 2006/02/24
 */
#include <stdio.h>
#include <stdlib.h>
#include <fcntl.h>
#include <asm/ioctls.h>
#include "../driver/linux24.h"


int main(void)
{
int fd,i,j,count,port_cont = 0;
struct port_info dump_port_info[LINUX24_MAX_PORTS_TOTAL];

char port_num0x[] = "/dev/ttyLNX0";
char port_num1x[] = "/dev/ttyLNX10";
char port_num2x[] = "/dev/ttyLNX20";
char port_num3x[] = "/dev/ttyLNX30";



for( i = 0 ; i < 4 ; i++ ) {

	if( i == 3)
		count = 2;
	else
		count = 10;


	for( j = 0; j < count; j++){

		if( i == 0 ) {
			port_num0x[11] = '0'+j;	
 			fd = open(port_num0x, O_RDWR | O_NOCTTY);

			if(fd >0){
				ioctl(fd,LINUX24_DUMP_PORT_INFO,&dump_port_info[port_cont]);
				close(fd);
				}
			else
				dump_port_info[port_cont].base_info = 0;		
	
			port_cont++;
								
			}
		

		if( i == 1 ) {
			port_num1x[12] = '0'+j;	
 			fd = open(port_num1x, O_RDWR | O_NOCTTY);
	
			if(fd >0){
				ioctl(fd,LINUX24_DUMP_PORT_INFO,&dump_port_info[port_cont]);
				close(fd);
				}
			else
				dump_port_info[port_cont].base_info = 0;		
	
			port_cont++;	

			}

		if( i == 2 ) {
			port_num2x[12] = '0'+j;	
 			fd = open(port_num2x, O_RDWR | O_NOCTTY);

			if(fd >0){
				ioctl(fd,LINUX24_DUMP_PORT_INFO,&dump_port_info[port_cont]);
				close(fd);
				}
			else
				dump_port_info[port_cont].base_info = 0;		
	
			port_cont++;	

			}

		if( i == 3 ) {
			port_num3x[12] = '0'+j;	
 			fd = open(port_num3x, O_RDWR | O_NOCTTY);

			if(fd >0){
				ioctl(fd,LINUX24_DUMP_PORT_INFO,&dump_port_info[port_cont]);
				close(fd);
				}
			else
				dump_port_info[port_cont].base_info = 0;		
	
			port_cont++;	

			}
		}
	}




for( i = 0; i < LINUX24_MAX_PORTS_TOTAL; i++){
	if( !(dump_port_info[i].base_info) )
		continue;
	printf("ttyLNX%d --\n",dump_port_info[i].port_info); 
	printf("(bus:%d device:%2d), base = %4x, irq = %2d\n\n",
 	dump_port_info[i].bus_number_info,
 	dump_port_info[i].dev_number_info,
 	dump_port_info[i].base_info,
 	dump_port_info[i].irq_info);
	}




 return(0);
}
